[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNodes.InsertObjectBehind

Inserts a new tree node with the specified text and data just behind the specified node.

## Declaration

Source position: comctrls.pp line 3280

`public function TTreeNodes.InsertObjectBehind(`
`PrevNode: TTreeNode;`
`const S: string;`
`Data: Pointer`
`):TTreeNode;`

## Arguments

`PrevNode` |  | Node which becomes the previous sibling for the inserted node.
`S` |  | Text for the tree node created in the method.
`Data` |  | Pointer to the data for the tree node created in the method.

## Function result

TTreeNode instance created and stored in the method.

## See also

TTreeNodes.InternalAddObject |  | Creates or updates a tree node with the specified text and a pointer to data.
TTreeNodes.AddObject |  | Adds a node with the specified text and data at the same level as the sibling node.
TTreeNode.GetNextSibling |  | Returns the next node in the tree hierarchy at the same level as the current node.